as.matrix.onion {onion} | R Documentation

## Coerces an onionic vector into a matrix

### Description

Coerces an onionic vector into a matrix.

### Usage

    ## S3 method for class 'onion'
    as.matrix(x, ...)

### Arguments

`x` | Onionic vector
`...` | Further arguments (currently ignored)

### Details

The matrix returned has 4 rows for a quaternion, 8 for an octonion

### Author(s)

Robin K. S. Hankin

### Examples

    det(as.matrix(roct(8)))

[Package onion version 1.2-7 Index]